import { Area3D, Signal1 } from 'godot'
import Interactor from './interactor'
import { signal } from 'godot.annotations'

export default class Interactable extends Area3D {
  @signal()
  readonly interacted!: Signal1<Interactor>

  interact(interactor: Interactor) {
    this.interacted.emit(interactor)
  }
}

